# Acceuil
Color Recipes Explorer est un gestionnaire de recettes de couleurs. Ce projet a été créé pour centraliser des recettes de couleurs qui étaient stockées dans des fichiers séparés, en plus d'offrir une meilleur gestion de celles-ci grâce à plusieurs fonctionnalitées:

* Gestion des utilisateurs
    * Les utilisateurs ont différents niveaux d'accès aux fonctionnalités selon leurs permissions.
    * Les utilisateurs peuvent être séparés en groupes qui ont également des permissions, qui seront héritées par ces utilisateurs.
    * Un groupe par défaut peut être défini sur un navigateur pour permettre aux utilisateurs non connectés d'utiliser les fonctionnalités selon les permissions de ce groupe.
    * Les actions exécutées par les utilisateurs sont journalisées. **(WIP)**
* Gestion des recettes de couleurs
    * Les recettes de couleurs sont séparées en plusieurs mélanges pour permettre une meilleure organisation de celles-ci.
    * Les quantités des produits dans les mélanges sont personnalisables et sont ajustées automatiquement pour toujours garder le même ratio.
    * Les quantités des produits dans les mélanges peuvent exprimées en millilitres, en litres en galon américain.
    * Des images peuvent être attachées à des recettes de couleurs.
    * Certaines informations des recettes de couleurs (les notes et les étapes par exemple) peuvent être spécifiques à certains groupes.
    * Il est possible d'exporter chaque recette de couleur vers un fichier Excel.
* Gestion des produits
    * Une fiche signalitique (SIMDUT) peut être attachée à chaque produit pour permettre un accès immédiat en cas d'urgence.
    * Une quantité en inventaire est stockée pour permettre de gérer plus facilement l'inventaire.
    * Selon leur type, la quantité d'un produit dans une recette sera exprimée en pourcentage du premier ingrédient du mélange.
